Name:		adplay
Version:	1.7
Release:	2%{?dist}
Summary:	An AdLib (OPL2) music player build on AdPlug
URL:		http://adplug.github.io/
Group:		Applications/Multimedia
Source:		http://download.sourceforge.net/adplug/%{name}-%{version}.tar.bz2
Patch0:		adplay-1.7-subsong.patch
License:	GPLv2+
BuildRequires:	adplug-devel
BuildRequires:	audiofile-devel
BuildRequires:	alsa-lib-devel

%description
AdPlay is a command-line player for AdLib (OPL2) music utilizing
the AdPlug library.

%prep
%setup -q
%patch0 -p1

%build
# I intentionally disable OSS and SDL: Fedora installs ALSA by default
# and I don't want to pull in the entire SDL library for this. We
# also explicitly forbid the QNX QSA driver, it won't hurt.
%configure --disable-static --disable-output-oss --disable-output-sdl \
	--disable-output-qsa --disable-output-esound -with-gnu-ld
make %{?_smp_mflags}

%install
%make_install

%files
%{_bindir}/adplay
%{_mandir}/man1/*
%doc AUTHORS ChangeLog COPYING NEWS README TODO

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jun 12 2016 Linus Walleij <triad@dflund.se> - 1.7-1
- New upstream version

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.6-15
- Rebuilt for GCC 5 C++11 ABI change

* Fri Feb 20 2015 Michael Schwendt <mschwendt@fedoraproject.org> - 1.6-14
- Rebuild for adplug (GCC 5 C++ ABI change).

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 12 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 1.6-10
- disable esd support since esd is getting dropped in Fedora
- clean up spec to follow current guidelines

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 14 2008 Linus Walleij <triad@df.lth.se> 1.6-4
- Rebuild for GCC 4.3.

* Sat Jan 19 2008 Linus Walleij <triad@df.lth.se> 1.6-3
- Rebuild to match new glibc ABI.

* Fri Aug 17 2007 Linus Walleij <triad@df.lth.se> 1.6-2
- Fix license to GPLv2+

* Wed Apr 11 2007 Linus Walleij <triad@df.lth.se> 1.6-1
- New upstream version.

* Fri Sep 1 2006 Linus Walleij <triad@df.lth.se> 1.5-3
- Rebuild for Fedora Extras 6.

* Wed Jul 26 2006 Linus Walleij <triad@df.lth.se> 1.5-2
- Match upstream library bump by rebuild.

* Sat May 6 2006 Linus Walleij <triad@df.lth.se> 1.5-1
- Upstream release a new version.

* Wed Feb 1 2006 Linus Walleij <triad@df.lth.se> 1.4-4
- RM unnecessary BR, fixup CXXFLAGS.

* Tue Jan 24 2006 Linus Walleij <triad@df.lth.se> 1.4-3
- Download address.

* Mon Jan 23 2006 Linus Walleij <triad@df.lth.se> 1.4-2
- Happy dist-tag.

* Sun Jan 15 2006 Linus Walleij <triad@df.lth.se> 1.4-1
- First try at an AdPlay RPM.
